## org.pentaho.reporting.libraries.repository
Interface UrlRepository

All Superinterfaces:
  Repository

All Known Implementing Classes:
  FileRepository

    public interface UrlRepository

extends Repository

A repository that can be globally identified by an URL.

Author:
  Thomas Morgner

Method Summary
`java.net.URL` `getURL()` Returns the URL that represents this repository.

Methods inherited from interface org.pentaho.reporting.libraries.repository.Repository
`getMimeRegistry, getRoot`

Method Detail

### getURL

    java.net.URL getURL()
                        throws java.net.MalformedURLException

  Returns the URL that represents this repository. The meaning of the URL returned here is implementation specific and is probably not suitable to resolve names to global objects.

  Returns:
    the repository's URL.
  Throws:
    `java.net.MalformedURLException` - if the URL could not be computed.